domains
	CondNum=Integer.
	RuleNum=Integer.
	FactNum=Integer.
	Conditions=CondNum*.
	HistoryTree=RuleNum*.
	Kind=String.
	
facts
	rule(RuleNum, Kind, Kind, Conditions).
	condition(CondNum, String).

clauses
	condition(1, "other devices work from this wall socket").
	condition(2, "computer is turned on").
	condition(3, "all cables are plugged in").
	condition(4, "power supply is ok").
	condition(5, "you do not hear any beeps on POST").
	condition(6, "you can hear 1 long and 1 or several short beeps on POST").
	condition(7, "you can hear several long beeps on POST").
	condition(8, "you can hear several short beeps and can't see anything on the monitor (or see some garbage)").
	condition(9, "you can see POST codes and boot up info on the screen").
	condition(10, "everything works as usually but nothing appears on the screen").
	condition(11, "nothing is in the floppy drive and in the CDROM").
	condition(12, "hard drive is succesfully recognized and configured by this stupid heap of iron on the table").	
	condition(13, "message 'Please insert a system disk' appears on the screen").
	condition(14, "OS is from Windows-family").
	condition(15, "registry wasn't changed by some clumsy hands").
	condition(16, "you checked system with antivirus program").
	condition(17, "OS is Unix-clone").
	condition(18, "you recently installed some new programs").
	condition(19, "POST error code 2xx or message like 'RAM error' appears on the screen").

%	Complimentaries of above conditions
	condition(20, "not other devices work from this wall socket").
	condition(21, "not computer is turned on").
	condition(22, "not all cables are plugged in").
	condition(23, "not power supply is ok").
	condition(24, "not you can see POST codes and boot up info on the screen").
	condition(25, "not you do not hear any beeps on POST").
	condition(26, "not nothing is in the floppy drive and in the CDROM").
	condition(27, "not hard drive is succesfully recognized and configured by this stupid heap of iron on the table").
	condition(28, "not OS is from Windows-family").
	condition(29, "not registry wasn't changed by some clumsy hands").
	condition(30, "not you checked system with antivirus program").
	condition(31, "not OS is Unix-clone").
	condition(32, "not you recently installed some new programs").

	rule(1, "there is electricity in area", "wall socket is ok", [1]).
	rule(2, "there is electricity in area", "try another wall socket", [20]).
	rule(3, "there is electricity in area", "be a very rum fellow", [21]). 
	rule(4, "there is electricity in area", "be consuming electrical power. Plug them on quickly!", [22]).
	rule(5, "there is electricity in area", "be in very big trouble.\nQuickly ventilate the room and then tell technical support that it exploded of itself", [23]).
	rule(6, "wall socket is ok", "computer is alive" , [2, 3, 4]).
	rule(7, "computer is alive", "motherboard, processor and video card are ok", [5]).
	rule(8, "computer is alive", "try another motherboard", [25, 6]).
	rule(9, "computer is alive", "be your microprocessor", [25, 7]).
	rule(10, "computer is alive", "change your video card", [25, 8]).
	rule(11, "motherboard, processor and video card are ok", "discard a memory chip and buy a working one", [19, 24]).
	rule(12, "motherboard, processor and video card are ok", "monitor and memory are ok", [9]).
	rule(13, "motherboard, processor and video card are ok", "replace your monitor", [10, 24]).
	rule(14, "monitor and memory are ok", "system tries to boot up from hard drive", [11, 12]).
	rule(15,  "monitor and memory are ok", "try to take it out", [26]).
	rule(16,  "monitor and memory are ok", "configure it properly", [27]).
	rule(17, "system tries to boot up from hard drive", "change hard drive if installing OS doesn't help.\nAt least you'll have a good piece of steel to start weight-throwing", [13]).
	rule(18, "system tries to boot up from hard drive", "change the user", [14, 15, 16]).
	rule(19, "system tries to boot up from hard drive", "check for trojans and if this doesn't help restore from backup copies", [18]).
	rule(20, "system tries to boot up from hard drive", "change professional field. Unix administration is a hard job", [17]).
	rule(21, "system tries to boot up from hard drive", "forget about this unknown OS and say good-bye to your data", [28, 31]).
	rule(22, "system tries to boot up from hard drive", "use backup of registry files (System.dat, User.dat for Win98)", [29]).
	rule(23, "system tries to boot up from hard drive", "use DrWeb or AVP against this plague", [30]).
	rule(24, "system tries to boot up from hard drive", "forget about this unknown OS and say good-bye to your data", [28, 31]).

	
goal
	save("sage.db"),
	write("Knowledge base is succesfully saved to sage.db"),
	nl,
	write("For some reason it appears in the Windows temporary directory"),
	nl.